changeset 946:b2cb36998d54

Helps to actually remember to add the new file.
author Rob Landley <rob@landley.net>
date Sun, 03 Jan 2010 22:34:06 -0600
parents 71456bd138eb
children b2a18805352c
files native-compiler.sh
diffstat 1 files changed, 36 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/native-compiler.sh	Sun Jan 03 22:34:06 2010 -0600
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# Build a compiler for a given target
+
+source sources/include.sh || exit 1
+read_arch_dir "$1"
+check_for_base_arch || exit 0
+check_prerequisite "${ARCH}-cc"
+check_prerequisite "${FROM_ARCH}-cc"
+
+blank_tempdir "$STAGE_DIR"
+mkdir -p "$STAGE_DIR/bin" || dienow
+
+# Build C Library
+
+build_section linux-headers
+build_section uClibc
+
+# Build binutils, gcc, and ccwrap
+
+build_section binutils
+build_section gcc
+build_section ccwrap
+
+# Tell future packages to link against the libraries in the new root filesystem,
+# rather than the ones in the cross compiler directory.
+
+export "$(echo $ARCH | sed 's/-/_/g')"_CCWRAP_TOPDIR="$STAGE_DIR"
+
+build_section uClibc++
+
+# Delete some unneeded files
+
+[ -z "$SKIP_STRIP" ] && rm -rf "$STAGE_DIR"/{info,man}
+
+create_stage_tarball